MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030674Open CASCADE[OCCT] OCCT:Visualizationpublic2019-04-24 18:422019-04-27 13:12
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030674: Visualization, AIS_InteractiveObject - fix accessibility of several properties
DescriptionAIS_InteractiveObject defines several properties which are unavailable for external code (like combined parent transformation), inaccessible to sub-classes due to redundant private visibility (like myCombinedParentTransform) or having clumsy getter (GetContext() creating Handle object, while in most cases pointer would be enough).
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0030669verifiedbugmaster Visualization - AIS_Manipulator ignores parent transformation 
related to 0030675verifiedbugmaster Visualization - remove redundant proxy classes in hierarchy of PrsMgr_Presentation 

-  Notes
(0083968)
git (administrator)
2019-04-24 18:56

Branch CR30674 has been created by kgv.

SHA-1: 1007c76ee1164e67043458a1a2b2feb34cd2066f


Detailed log of new commits:

Author: kgv
Date: Thu Apr 4 09:44:16 2019 +0300

    0030674: Visualization, AIS_InteractiveObject - fix accessibility of several properties
    
    AIS_InteractiveObject/SelectMgr_SelectableObject/PrsMgr_PresentableObject
    - added missing getters;
    - removed redundant private sections;
    - improved documentation;
    - AIS_InteractiveObject::Compute() marked as pure interface;
    - methods within this hierarchy have been moved to the base class, when reasonable.
    
    Removed redundant typedefs to pointers (PrsMgr_PresentationPointer, PrsMgr_PresentableObjectPointer).
(0083970)
git (administrator)
2019-04-24 19:31

Branch CR30674 has been updated forcibly by kgv.

SHA-1: 002ed6adcca8d30158d8d9db20d4c73826ec72c9
(0083981)
kgv (developer)
2019-04-25 07:54
edited on: 2019-04-25 07:55

Please raise the patch.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30669_1-CR30674-KGV/ [^]

(0083988)
bugmaster (administrator)
2019-04-25 18:10

Combination -
OCCT branch : CR30669_1
master SHA - 99192d8f54edb8a5f0e811fb367b182408e33051
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : CR30674 SHA - 124da65e9772b7f6fd6fd688e4d8b24296f6ec29
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16539.559999999998 / 16536.609999999906 [+0.02%]
Products
Total CPU difference: 10509.340000000033 / 10546.95000000005 [-0.36%]
Windows-64-VC14:
OCCT
Total CPU difference: 17934.890625 / 17960.6875 [-0.14%]
Products
Total CPU difference: 12073.890625 / 12065.3125 [+0.07%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0084022)
git (administrator)
2019-04-27 13:08

Branch CR30674 has been deleted by inv.

SHA-1: 002ed6adcca8d30158d8d9db20d4c73826ec72c9

- Related Changesets
occt: master 2b886265
Timestamp: 2019-04-04 06:44:16
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030674: Visualization, AIS_InteractiveObject - fix accessibility of several properties

AIS_InteractiveObject/SelectMgr_SelectableObject/PrsMgr_PresentableObject
- added missing getters;
- removed redundant private sections;
- improved documentation;
- AIS_InteractiveObject::Compute() marked as pure interface;
- methods within this hierarchy have been moved to the base class, when reasonable.

Removed redundant typedefs to pointers (PrsMgr_PresentationPointer, PrsMgr_PresentableObjectPointer).
mod - src/AIS/AIS_IdenticRelation.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.hxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_SelectableObject.hxx Diff ] File ]
mod - src/PrsMgr/FILES Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.hxx Diff ] File ]
rm - src/PrsMgr/PrsMgr_PresentableObjectPointer.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.hxx Diff ] File ]
rm - src/PrsMgr/PrsMgr_PresentationPointer.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Prs.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Prs.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-04-24 18:42 kgv New Issue
2019-04-24 18:42 kgv Assigned To => kgv
2019-04-24 18:42 kgv Relationship added related to 0030669
2019-04-24 18:56 git Note Added: 0083968
2019-04-24 19:31 git Note Added: 0083970
2019-04-24 19:53 kgv Relationship added related to 0030675
2019-04-25 07:54 kgv Note Added: 0083981
2019-04-25 07:54 kgv Assigned To kgv => bugmaster
2019-04-25 07:54 kgv Status new => resolved
2019-04-25 07:54 kgv Status resolved => reviewed
2019-04-25 07:55 kgv Note Edited: 0083981 View Revisions
2019-04-25 17:38 bugmaster Test case number => Not required
2019-04-25 18:10 bugmaster Note Added: 0083988
2019-04-25 18:10 bugmaster Status reviewed => tested
2019-04-27 12:38 bugmaster Changeset attached => occt master 2b886265
2019-04-27 12:38 bugmaster Status tested => verified
2019-04-27 12:38 bugmaster Resolution open => fixed
2019-04-27 13:08 git Note Added: 0084022


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker